Array::Iterator::Reusable(3pm)

VERSION
Version 0.136

SYNOPSIS
  use Array::Iterator::Reusable;

  # create an iterator with an array
  my $i = Array::Iterator::Reusable->new(1 .. 100);

  # do something with the iterator
  my @accumulation;
  push @accumulation => { item => $iterator->next() } while $iterator->has_next();

  # now reset the iterator so we can do it again
  $iterator->reset();

DESCRIPTION
Sometimes you don't want to have to throw out your iterator each time you have exhausted it. This class adds the "reset" method to allow reuse of an iterator. This is a very simple addition to the Array::Iterator class of a single method.

METHODS
This is a subclass of Array::Iterator, only those methods that have been added are documented here, refer to the Array::Iterator documentation for more information.

reset
    This resets the internal counter of the iterator back to the start of the array.

SEE ALSO
This is a subclass of Array::Iterator, please refer to it for more documentation.

MAINTAINER
Nigel Horne, "<njh at nigelhorne.com>"

2025-2026

ORIGINAL AUTHOR
stevan little, <stevan@iinteractive.com>

ORIGINAL COPYRIGHT AND LICENSE
Copyright 2004 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.